<?php
/*
 * Plugin Name: Official Gauges Analytics
 * Version: 1.2
 * Plugin URI: http://get.gaug.es
 * Description: Official Gauges Analytics WordPress plugin.
 * Author: Gauges Dev
 * Author URI: https://get.gaug.es/
 * Requires at least: 3.2
 * Tested up to: 4.9.1
 *
 * Text Domain: gauges
 * Domain Path: /lang/
 *
 * @package WordPress
 * @author Gauges Dev
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

// Load plugin class files
require_once( 'includes/class-gauges.php' );
require_once( 'includes/class-gauges-settings.php' );

// Load plugin libraries
require_once( 'includes/lib/class-gauges-admin-api.php' );
require_once( 'includes/lib/class-gauges-post-type.php' );
require_once( 'includes/lib/class-gauges-taxonomy.php' );

/**
 * Returns the main instance of Gauges to prevent the need to use globals.
 *
 * @since  1.0.0
 * @return object Gauges
 */
function Gauges () {
	$instance = Gauges::instance( __FILE__, '1.0.0' );

	if ( is_null( $instance->settings ) ) {
		$instance->settings = Gauges_Settings::instance( $instance );
	}

	return $instance;
}

Gauges();
